ServerEvents.recipes(event => {
	event.recipes.create.pressing([
		'garnished:crushed_salt',
	], 'mekanism:salt')
	let inter = "v_borne:unfinished_salt_block"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:block_salt").withChance(90.0),
				Item.of("biomesoplenty:dried_salt").withChance(10.0),			// this is the item that will appear in JEI as the result
            ],
            "biomesoplenty:dried_salt",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createFilling(inter, [inter, Fluid.water(250)]),
				event.recipes.createPressing(inter, inter),
            ]
        )
        .transitionalItem(inter)
        .loops(4); // set the transitional item and the number of loops
})